[arch-commits] Commit in perl-html-parser/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Jun 9 05:44:31 EDT 2010


    Date: Wednesday, June 9, 2010 @ 05:44:31
  Author: jgc
Revision: 82206

upgpkg: perl-html-parser 3.65-1
Rebuild for perl 5.12, add tests

Modified:
  perl-html-parser/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-09 09:42:17 UTC (rev 82205)
+++ PKGBUILD	2010-06-09 09:44:31 UTC (rev 82206)
@@ -5,26 +5,23 @@
 
 pkgname=perl-html-parser
 _realname=HTML-Parser
-pkgver=3.64
+pkgver=3.65
 pkgrel=1
 pkgdesc="Perl HTML parser class"
 arch=('i686' 'x86_64')
 license=('PerlArtistic')
 url="http://search.cpan.org/dist/${_realname}/"
-depends=('perl-html-tagset' 'perl>=5.10.0')
+depends=('perl-html-tagset' 'perl>=5.12.1')
 options=(!emptydirs)
 source=(http://www.cpan.org/authors/id/G/GA/GAAS/${_realname}-${pkgver}.tar.gz)
-md5sums=('26ceb6357e855b9e7aad5a5fd66d493e')
+md5sums=('cbc220e201b427bfcf231d95bee3c7ca')
 
 build() {
-  cd ${srcdir}/${_realname}-${pkgver}
+  cd "${srcdir}/${_realname}-${pkgver}"
   # install module in vendor directories.
   perl Makefile.PL INSTALLDIRS=vendor || return 1
   make || return 1
-  make install DESTDIR=${pkgdir} || return 1
-
-  # remove perllocal.pod and .packlist
-  find ${pkgdir} -name perllocal.pod -delete
-  find ${pkgdir} -name .packlist -delete
+  make test || return 1
+  make install DESTDIR="${pkgdir}" || return 1
 }
 # vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list